<br />
<button class="btn btn-success" [routerLink]="['/add-product']">Create Product</button>
<br />
<div class="row" style="margin-top:20px">
  <div class="col-sm-12">
    <table class="table table-striped">
      <thead>
        <tr>
          <th>S.No
          </th>
          <th>
            <span (click)="sortList('name')" class="by-name">Name</span>
            <span *ngIf="key === 'name'">
              <span *ngIf="reverse">
                <i class="fa fa-arrow-up" aria-hidden="true"></i>
              </span>
              <span *ngIf="!reverse">
                <i class="fa fa-arrow-down" aria-hidden="true"></i>
              </span>
            </span>
          </th>
          <th>Image</th>
          <th>Category</th>
          <th>
            <span (click)="sortList('product_code')" class="by-name">Product Code</span>
            <span *ngIf="key === 'product_code'">
              <span *ngIf="reverse">
                <i class="fa fa-arrow-up" aria-hidden="true"></i>
              </span>
              <span *ngIf="!reverse">
                <i class="fa fa-arrow-down" aria-hidden="true"></i>
              </span>
            </span>
          </th>
          <th>Technical Rate Point</th>
          <th>Is App Home</th>
          <th>Is Site Home</th>
          <th>Feature</th>
          <th>Status</th>
          <th></th>
        </tr>
        <tr>
          <td></td>
          <td>
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search"
              [(ngModel)]="nameSearch" name="search">
          </td>
          <td></td>
          <td>
            <select class="custom-select" (change)="filterByCategory($event.target.value)">
              <option [selected]="true" [disabled]="true">Select a Category</option>
              <option *ngFor="let category of categoryList" [value]="category.category_id">{{category.title}}</option>
            </select>
          </td>
          <td>
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search"
              [(ngModel)]="productCodeSearch" name="search">
          </td>
          <td></td>
          <td></td>
          <td></td>
          <td>{{status}}</td>
          <td>
            <select class="custom-select" [(ngModel)]="statusCode">
              <option [value]="1">Active</option>
              <option [value]="0">Inactive</option>
            </select>
          </td>
          <td></td>
        </tr>
      </thead>
      <tbody>
        <tr
          *ngFor="let product of filteredProductList | filter: nameSearch: productCodeSearch: statusCode | orderBy: key : reverse | paginate: { itemsPerPage: 10, currentPage: p }; let i = index">
          <td>{{i + 1}}</td>
          <td>{{product.name}}</td>
          <td>
            <img style="height:100px; width:100px" src="https://kshamadevigroup.com/public/upload/{{product.image}}">
          </td>
          <td>{{product.category}}</td>
          <td>{{product.product_code}}</td>
          <td>{{product.rate_point || 'N/A'}}</td>
          <td>{{product.is_app_home}}</td>
          <td>{{product.is_site_home}}</td>
          <td>{{product.is_featured}}</td>
          <td>{{product.status ? 'Active' : 'Inactive'}}</td>
          <td>
            <i class="fa fa-eye" aria-hidden="true" (click)="gotoProductDetail(product)"></i>
            <i class="fa fa-pencil" aria-hidden="true"></i>
            <i class="fa fa-trash" aria-hidden="true"></i>
          </td>
        </tr>
      </tbody>
    </table>
    <pagination-controls (pageChange)="p = $event"></pagination-controls>
  </div>
</div>